import { DeepClientInstance } from "@deep-foundation/deeplinks/imports/client.js";
import { DeviceDecorator } from "./create-device-decorator.js";
import { MakeDeviceInsertOperationsOptions } from "./make-device-insert-operations.js";
export declare function insertDevice<TDeepClient extends DeepClientInstance>(this: DeviceDecorator<TDeepClient>, options: InsertDeviceOptions): Promise<{
    containLinkId: number;
    deviceLinkId: number;
    serialResult: import("@deep-foundation/deeplinks/imports/client.js").DeepClientResult<{
        id: any;
    }[]>;
    operations: (import("@deep-foundation/deeplinks/imports/client.js").SerialOperation<"insert", "links"> | import("@deep-foundation/deeplinks/imports/client.js").SerialOperation<"insert", "objects">)[];
}>;
export type InsertDeviceOptions = MakeDeviceInsertOperationsOptions;
