import { DeepClientInstance } from "@deep-foundation/deeplinks/imports/client.js";
import { DeviceInfo } from './device-info.js';
import { DeviceDecorator } from "./create-device-decorator.js";
export interface GetDeviceOptions {
    deviceLinkId: number;
}
export declare function getDevice<TDeepClient extends DeepClientInstance>(this: DeviceDecorator<TDeepClient>, options: GetDeviceOptions): Promise<GetDevicecResult>;
export type GetDevicecResult = Partial<DeviceInfo>;
